## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global appname controlyourtabs
%global uuid    com.thingsthemselves.gedit.plugins.%{appname}

Name:           gedit-control-your-tabs
Version:        0.4.1
Release:        %autorelease
Summary:        Gedit plugin to switch between document tabs using

License:        GPL-3.0-or-later
URL:            https://github.com/jefferyto/gedit-control-your-tabs
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  libappstream-glib
BuildRequires:  python3-devel

Requires:       gedit%{?_isa} >= 3.12

Provides:       bundled(python-gtk-utils) = 0.2.0

%description
A gedit plugin to switch between document tabs using Ctrl+Tab / Ctrl+Shift+Tab
(most recently used order or tab row order) and Ctrl+PageUp / Ctrl+PageDown (tab
row order).


%prep
%autosetup -p1


%install
mkdir -p                %{buildroot}%{_libdir}/gedit/plugins
cp -a %{appname}        %{buildroot}%{_libdir}/gedit/plugins/
rm -r                   %{buildroot}%{_libdir}/gedit/plugins/%{appname}/schemas
rm -r                   %{buildroot}%{_libdir}/gedit/plugins/%{appname}/utils/.editorconfig
rm -r                   %{buildroot}%{_libdir}/gedit/plugins/%{appname}/utils/.gitattributes
rm -r                   %{buildroot}%{_libdir}/gedit/plugins/%{appname}/locale
mkdir -p                %{buildroot}%{_libdir}/gedit/plugins
cp -a %{appname}.plugin %{buildroot}%{_libdir}/gedit/plugins/
mkdir -p                %{buildroot}%{_datadir}/glib-2.0/schemas/
cp -a %{appname}/schemas/%{uuid}.gschema.xml %{buildroot}%{_datadir}/glib-2.0/schemas/

# Byte compiling
%py_byte_compile %{__python3} %{buildroot}%{_libdir}/gedit/plugins/%{appname}/

# Install metainfo
install -m 0644 -Dp data/%{uuid}.metainfo.xml %{buildroot}%{_metainfodir}/%{uuid}.metainfo.xml


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%license LICENSE
%doc README.md
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_libdir}/gedit/plugins/%{appname}
%{_libdir}/gedit/plugins/%{appname}.plugin
%{_metainfodir}/*.xml


%changelog
## START: Generated by rpmautospec
* Sat Jun 08 2024 Packit <hello@packit.dev> - 0.4.1-1
- Update to 0.4.1 upstream release
- Resolves: rhbz#2291008

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-5
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
